GET
/
hk-stock
/
str-trend-ind
港股强弱及趋向指标
curl --request GET \
  --url https://data-api.investoday.net/data/hk-stock/str-trend-ind \
  --header 'apiKey: <api-key>'
{
  "code": 0,
  "message": "success",
  "data": [
    {
      "date": "2005-02-01 00:00:00",
      "stockCode": "00458",
      "stockName": "联亚集团",
      "ma5d": 15.78,
      "ma10d": 15.78,
      "ma20d": 15.78,
      "ma30d": 15.78,
      "ma60d": 12.45,
      "ma120d": 15.78,
      "ma250d": 0.7309,
      "expma12": 0.7309,
      "macdDiff": 0,
      "macdDea": 0,
      "macd": 0,
      "bbi": -0.15,
      "dma": 12.75,
      "dmaAma": -0.015,
      "mtm": 0,
      "priceOscillator": 0,
      "trix": 0
    }
  ]
}

Authorizations

apiKey
string
header
required

API访问的安全令牌

Query Parameters

stockCode
string
required

股票代码

Example:

"00001"

beginDate
string

开始日期(格式yyyy-MM-dd)。 最小值:2020-01-01;

Example:

"2020-01-01"

endDate
string

结束日期(格式yyyy-MM-dd)

Example:

""

pageNum
integer<int32>

页码。 最小值:1;

Example:

1

pageSize
integer<int32>

页长。 最小值:1; 最大值:500;

Example:

10

Response

成功响应

code
integer<int32>

响应状态码

Example:

0

message
string

响应消息

Example:

"success"

data
object[]